apply plugin: 'com.android.library'
//使用aop插件
apply plugin: 'com.aop.plugin'

android {
    compileSdkVersion androidConfigs.compileSdkVersion
    buildToolsVersion androidConfigs.buildToolsVersion
    defaultConfig {
        minSdkVersion androidConfigs.minSdkVersion
        targetSdkVersion androidConfigs.targetSdkVersion
        versionCode androidConfigs.versionCode_kfzslibrary
        versionName androidConfigs.versionName_kfzslibrary

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

}

dependencies {
//    compile fileTree(dir: 'libs', include: ['*.jar'])
    /**
     * Test
     */
    testCompile 'junit:junit:4.12'
    /**
     * surport
     */
    compile dependenciesLibs.recyclerview
    compile dependenciesLibs.support_appcompat_v7
    compile dependenciesLibs.recyclerview
    /**
     * dagger
     */
    provided dependenciesLibs.javax_annotation
    compile dependenciesLibs.dagger
    annotationProcessor dependenciesLibs.dagger_compiler
    /**
     * Retrofit-RxJava-Gson
     */
    compile dependenciesLibs.retrofit2
    compile dependenciesLibs.retrofit2_converter_gson
    compile dependenciesLibs.okhttp3_logging_interceptor
    compile dependenciesLibs.rxandroid
    compile dependenciesLibs.retrofit2_adapter_rxjava
    compile dependenciesLibs.gson
    /**
     * butterknife
     */
    compile dependenciesLibs.butterknife
    annotationProcessor dependenciesLibs.butterknife_compiler
}
